Release 2017_029 (2017-12-05)

Impact

  • [NixOS] PostgreSQL servers will be restarted.

NixOS platform

  • Security update for PostgreSQL: 9.6.6, 9.5.10, 9.4.15 (#29123).
  • Check for circular systemd service dependencies (#28203).
  • Fix sendmail setuid-wrapper permissions (#29181).
  • Don’t try to start dogstatsd (from datadog role) when there is no configuration for it (#27879).
  • Update and fix VirtualboxGuest additions to build correctly with our VM guest kernel for Vagrant installations.
  • Disable the fc-manage service on Vagrant completely.
  • Update vulnix to 1.4.0.

Gentoo platform

  • Apache: Lift limits for apache mpm_event_module (#29201).